/*	File:	thread.h
	Author:	Alex Fedosov
	Date:	December 11, 2000
	Description:	Win32 thread primitives
*/

#if !defined(_WIN32)
#error "This is a Win32 include file and you are compiling for something else!"
#endif

#ifndef __THREAD_H__
#define __THREAD_H__

#ifndef _MT
#define _MT
#endif

#include <windows.h>
#include <process.h>

typedef unsigned (__stdcall * __thread_func)(void *);

#define dmz_thread_create(func, arg, id) \
	_beginthreadex(NULL, 0, (__thread_func) func, arg, 0, id)
#define dmz_thread_exit(rv) _endthreadex(rv)

#endif