/*	File:	stats.c
	Author:	Alex Fedosov
	Date:	April 4, 2001
	Description:	code for server statistics
*/

#include <stdio.h>

#include "server.h"

GLOBAL int num_clients;
GLOBAL int num_servers;

int dmz_get_num_clients(void)
{
	return num_clients;
}

int dmz_get_num_servers(void)
{
	return num_servers;
}

int dmz_get_num_players(void)
{
	int i, num_players = 0;

	for (i = 0; i < MAXOBJECTS; i++)
	{
		if (dmz_objects[i] != NULL)
		{
			if (dmz_objects[i]->objtype == PLAYER)
				num_players++;
		}
	}

	return num_players;
}
