/*	File:	items.c
	Author:	Alex Fedosov
	Date:	March 10, 2001
	Description:	interaction with items
*/

#include "common/object.h"

void AddInventory(WORD16 player, WORD16 item)
{
	int i;
	WORD16 *inv = dmz_objects[player]->inv;

	/* check if player has room in inventory */
	for (i = 0; i < MAX_INV; i++)
		if (inv[i] == 0)
			break;

	/* no room in inventory */
	if (i >= MAX_INV)
		return;

	/* put object in player's inventory */
	inv[i] = item;

	/* make item invisible */
	dmz_status_update(item, INVISIBLE);
}
