/*	File:	thread.h
	Author:	Alex Fedosov
	Date:	December 11, 2000
	Description:	thread primitives
*/

#ifndef __DMZ_THREAD_H__
#define __DMZ_THREAD_H__

#if defined (__GNUC__) && defined (unix)
	#include "sys/gnu/thread.h"
#elif defined (_MSC_VER) && defined (_WIN32)
	#include "sys/win32/thread.h"
#else
	#error "Sorry, unsupported compiler / target."
#endif

#endif
